local on = vim.api.nvim_create_autocmd

on("VimEnter", {
	callback = function()
		local files = require("nvim-tree.api")
		local width = vim.go.columns

		if width > 120 then
			files.tree.toggle({ focus = false })
		end
	end,
})

on({ "TermOpen", "TermEnter" }, {
	callback = function()
		vim.opt_local.signcolumn = "no"
	end,
})

on({ "BufNewFile", "BufRead" }, {
	pattern = { "*.txt", "*.md" },
	callback = function()
		vim.opt_local.wrap = true
		vim.opt_local.signcolumn = "no"
	end,
})
