-- Globals
local g = vim.g
g.mapleader = " "

for _, provider in ipairs { "node", "perl", "python3", "ruby" } do
	g["loaded_" .. provider .. "_provider"] = 0
end

-- Options
local opt = vim.opt
opt.autoindent = true
opt.autowrite = false
opt.clipboard = "unnamedplus"
opt.conceallevel = 0
opt.cursorline = true
opt.cursorlineopt = "both"
opt.expandtab = false
opt.grepformat = "%f:%l:%c:%m"
opt.grepprg = "rg --grep"
opt.ignorecase = false
opt.mouse = "a"
opt.ruler = false
opt.sessionoptions = { "buffers", "curdir", "tabpages", "winsize" }
opt.shiftwidth = 4
opt.shortmess:append "sCFI"
opt.showmode = false
opt.showtabline = 0
opt.smartindent = true
opt.softtabstop = 4
opt.spell = false
opt.splitbelow = true
opt.splitright = true
opt.tabstop = 4
opt.termguicolors = true
opt.undofile = true
opt.undolevels = 10000
opt.updatetime = 250
opt.wildmode = "longest:full,full"
opt.wrap = false

-- UI
opt.fillchars = { eob = " ", vert = " " }
opt.laststatus = 0
opt.number = true
opt.relativenumber = false
opt.signcolumn = "number"
opt.statusline = "%{repeat('─',winwidth('.'))}"
