return {
	"nvim-tree/nvim-tree.lua",
	event = "VeryLazy",
	dependencies = {
		"nvim-tree/nvim-web-devicons",
	},
	keys = {
		{ "<leader>e", function() require("nvim-tree.api").tree.toggle() end, desc = "Toggle files" },
	},
	opts = {
		filesystem_watchers = {
			enable = true,
		},
		filters = {
			dotfiles = false,
		},
		renderer = {
			root_folder_label = false,
			highlight_git = true,
			icons = {
				show = {
					git = false,
				},
				glyphs = {
					git = {
						unstaged = "",
						untracked = "",
						deleted = "",
					},
				},
			},
		},
		sync_root_with_cwd = true,
		update_focused_file = {
			enable = true,
			update_root = false,
		},
		view = {
			width = 35,
		},
	},
	config = function(_, opts)
		require("nvim-tree").setup(opts)
	end,
}
